Bug 1231231 - CVE-2013-2099 CVE-2013-7440 python-pymongo: various flaws [fedora-all]
Summary: CVE-2013-2099 CVE-2013-7440 python-pymongo: various flaws [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pymongo
Version: 22
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2013-7440 CVE-2013-2099
TreeView+ depends on / blocked
 
Reported: 2015-06-12 13:12 UTC by Tomas Hoger
Modified: 2017-09-08 12:21 UTC (History)
4 users (show)

Fixed In Version: python-pymongo-2.5.2-8.fc22
Doc Type: Release Note
Doc Text:
Clone Of:
: 1304146 1304225 1304227 (view as bug list)
Environment:
Last Closed: 2016-02-12 12:20:25 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2015-06-12 13:12:45 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Tomas Hoger 2015-06-12 13:12:52 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=963260,1231231

# Description of your update
notes=Security fix for CVE-2013-2099

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=963260,1231231

Comment 2 Tomas Hoger 2015-06-12 13:13:24 UTC
Adding parent bug 1224999 (for CVE-2013-7440).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1231231,1224999,963260

# Description of your update
notes=Security fix for CVE-2013-2099, CVE-2013-7440

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1231231,1224999,963260

Comment 3 Tomas Hoger 2015-06-12 13:33:39 UTC
Consider fixing by making pymongo use python-backports-ssl_match_hostname or stdlib ssl on  F22+ / python 2.7.9+.

Comment 4 Tomas Hoger 2015-06-12 13:37:16 UTC
Actually, existing:

try:
    from ssl import match_hostname
except ImportError:
    from pymongo.ssl_match_hostname import match_hostname

should be enough for F22+.  For older, s/pymongo/backports/ + proper rpm requires + removal for ssl_match_hostname.py* from packages should do the trick.

Comment 5 Haïkel Guémar 2015-10-01 08:42:56 UTC
Taking over as provenpackager

Comment 6 Fedora Update System 2015-10-01 10:54:20 UTC
python-pymongo-3.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

Comment 7 Fedora Update System 2015-10-01 10:54:32 UTC
python-pymongo-3.0.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-68a2c2db36

Comment 8 Fedora Update System 2015-10-01 10:54:39 UTC
python-pymongo-3.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

Comment 9 Fedora Update System 2015-10-01 10:54:42 UTC
python-pymongo-3.0.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e4043f088

Comment 10 Fedora Update System 2015-10-02 23:48:05 UTC
python-pymongo-3.0.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-68a2c2db36

Comment 11 Fedora Update System 2015-10-02 23:50:04 UTC
python-pymongo-3.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

Comment 12 Fedora Update System 2015-10-04 01:37:08 UTC
python-pymongo-3.0.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e4043f088

Comment 13 Fedora Update System 2015-10-04 01:53:22 UTC
python-pymongo-3.0.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

Comment 14 Fedora Update System 2015-10-04 02:21:08 UTC
python-pymongo-3.0.3-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pymongo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-af1b712fce

Comment 15 Fedora Update System 2016-01-14 17:03:36 UTC
python-pymongo-3.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

Comment 16 Fedora Update System 2016-01-14 17:04:28 UTC
python-pymongo-3.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

Comment 17 Fedora Update System 2016-01-14 17:04:48 UTC
python-pymongo-3.0.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e4043f088

Comment 18 Fedora Update System 2016-01-14 19:29:28 UTC
python-pymongo-3.0.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-68a2c2db36

Comment 19 Randy Barlow 2016-01-14 19:46:43 UTC
I will attempt to fix this with a patch rather than by raising to version 3.

Comment 20 Fedora Update System 2016-01-15 12:15:38 UTC
python-pymongo-3.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

Comment 21 Fedora Update System 2016-01-15 12:47:30 UTC
python-pymongo-3.0.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3e4043f088

Comment 22 Fedora Update System 2016-01-15 13:44:47 UTC
python-pymongo-3.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

Comment 23 Fedora Update System 2016-01-15 13:45:27 UTC
python-pymongo-3.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

Comment 24 Fedora Update System 2016-01-16 19:21:58 UTC
python-pymongo-3.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-925e9374c9

Comment 25 Fedora Update System 2016-01-17 14:24:27 UTC
python-pymongo-3.0.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-dd52a54fa1

Comment 26 Fedora Update System 2016-02-03 04:58:37 UTC
python-pymongo-2.5.2-8.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-52b294538d

Comment 27 Fedora Update System 2016-02-03 23:25:35 UTC
python-pymongo-2.5.2-8.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-52b294538d

Comment 28 Fedora Update System 2016-02-12 12:19:42 UTC
python-pymongo-2.5.2-8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.